Loading...
Searching...
No Matches
irr::scene::ISceneUserDataSerializer Class Referenceabstract

Interface to read and write user data to and from .irr files. More...

`#include <ISceneUserDataSerializer.h>`

## Public Member Functions

virtual | ~ISceneUserDataSerializer ()
virtual io::IAttributes * | createUserData (ISceneNode *forSceneNode)=0
| Called when the scene manager is writing a scene node to an xml file for example.
virtual void | OnCreateNode (ISceneNode *node)=0
| Called when the scene manager create a scene node while loading a file.
virtual void | OnReadUserData (ISceneNode *forSceneNode, io::IAttributes *userData)=0
| Called when the scene manager read a scene node while loading a file.

## Detailed Description

Interface to read and write user data to and from .irr files.

This interface is to be implemented by the user, to make it possible to read and write user data when reading or writing .irr files via ISceneManager. To be used with ISceneManager::loadScene() and ISceneManager::saveScene()

Definition at line 24 of file ISceneUserDataSerializer.h.

## Constructor & Destructor Documentation

## ~ISceneUserDataSerializer()

virtual irr::scene::ISceneUserDataSerializer::~ISceneUserDataSerializer | ( |  | ) |

inline virtual

Definition at line 28 of file ISceneUserDataSerializer.h.

## Member Function Documentation

## createUserData()

virtual io::IAttributes * irr::scene::ISceneUserDataSerializer::createUserData | ( | ISceneNode * | forSceneNode | ) |

pure virtual

Called when the scene manager is writing a scene node to an xml file for example.

Implement this method and return a list of attributes containing the user data you want to be saved together with the scene node. Return 0 if no user data should be added. Please note that the scene manager will call drop() to the returned pointer after it no longer needs it, so if you didn't create a new object for the return value and returning a longer existing IAttributes object, simply call grab() before returning it.

## OnCreateNode()

virtual void irr::scene::ISceneUserDataSerializer::OnCreateNode | ( | ISceneNode * | node | ) |

pure virtual

Called when the scene manager create a scene node while loading a file.

## OnReadUserData()

virtual void irr::scene::ISceneUserDataSerializer::OnReadUserData | ( | ISceneNode * | forSceneNode,
|  | io::IAttributes * | userData )

pure virtual

Called when the scene manager read a scene node while loading a file.

The userData pointer contains a list of attributes with userData which were attached to the scene node in the read scene file.

The documentation for this class was generated from the following file:

- ISceneUserDataSerializer.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0